Subject: bug#56125: 28.1; Timezone conversion sometimes wrong for recurring events, when importing ical to diary

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 23 Jun 2022 10:48:12 +0200

Martin Apel <[email-masked]> writes:

> Maybe this is a more general problem, that the diary does not consider
> timezones at all. I think, that the conversion functionality would
> need to convert each date of a recurring event separately, as the
> daylight savings time might have changed between consecutive
> repetitions.

Yes, for repeating events, diary has to keep track of what the original
time zone (and time) is, and convert from that time each day.  I've
skimmed the diary functions, and it doesn't seem like that's something
the diary functions have taken into accound, so patches welcome.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no